lkml.org 
[lkml]   [1996]   [Sep]   [19]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: modules problems
On Thu, 19 Sep 1996, Franz Sirl wrote:

> At 13:43 19.09.96 -0400, Sheldon E. Newhouse wrote:
> >I have begun to try to use modules again, and am still having
> >problems.
> >
> >I have a P5-100, ide, etc.
> >
> >I am using kernel 2.0.20 and modules 2.0 from the RH-3.0.3 upgrade page.
> >
> >I have an ISA Western Digital 8013 ethernet card. When I compile its
> >support into the kernel, there is no problem.
> >
> >When I try to compile it as a loadable module, and use insmod, I get
> >error messages saying symbol versions don't match and it won't load.
> >The same thing happens with my sound.o modules and ppp.o. I have tried
> >this both the config_mod_versions turned on and off. It does not make
> >any difference.
> >
> >I also have a 3COM590, and the module works fine for this with insmod,
> >rmmod giving no problems at all.
> >
> >Is there anyone out there who has successfully used the module version
> >of the WD8013?
>
> Did you 'insmod 8390.o' before 'insmod wd.o'? The wd.o depends on 8390.o

People should really forget about insmod. The utility (part of the same
distribution btw) to use is modprobe. Once you have run "/sbin/depmod -a",
you can forget about dependancies. All you do is /sbin/modprobe wd and
this is it.

--------------------------------------------------------
Jacques Gelinas (jacques@solucorp.qc.ca)
Linuxconf: The ultimate administration system for Linux.
see http://www.solucorp.qc.ca:/linuxconf



\
 
 \ /
  Last update: 2005-03-22 13:37    [W:0.353 / U:0.436 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site